Bug 460397 - mysql update breaks transaction submitted by Perl (e.g. RT Request Tracker)
mysql update breaks transaction submitted by Perl (e.g. RT Request Tracker)
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: mysql (Show other bugs)
4.7
i386 Linux
medium Severity urgent
: rc
: ---
Assigned To: Tom Lane
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-27 23:00 EDT by avoker
Modified: 2013-07-02 23:19 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:19:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
perllocal.pod on hera the machine has the problem (10.90 KB, application/octet-stream)
2008-09-09 23:28 EDT, avoker
no flags Details
rpm -qa diff between the sick hera and the healthy prome (9.61 KB, patch)
2008-09-09 23:32 EDT, avoker
no flags Details | Diff

  None (edit)
Description avoker 2008-08-27 23:00:18 EDT
Description of problem:
updating mysql,mysql-server and mysql-devel from 4.1.20-3.RHEL4.1.el4_6.1.i386 to 4.1.22-2.el4.i386 breaks RT 3.6.1 (http://www.bestpractical.com/rt/, an application written in Perl) with following errors:

Transactions not supported by database at /usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi/DBI.pm line 1484.

I've rolled back the updates to mysql, mysql-server and mysql-devel and RT works well again.

Version-Release number of selected component (if applicable):
4.1.22-2.el4.i386

How reproducible:
anytime you modify a RT ticket (a MySQL transaction) the error will come up.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
See above

Expected results:


Additional info:
Probably perl-DBD-MySQL needs to be rebuilt against the updated version of MySQL libraries.
Comment 1 Marcela Mašláňová 2008-09-01 08:43:59 EDT
I can create a test package. Do you want to test it?
Comment 2 avoker 2008-09-01 22:15:38 EDT
(In reply to comment #1)
> I can create a test package. Do you want to test it?

That would be good. Yes I can test it.
Comment 3 Marcela Mašláňová 2008-09-02 02:56:44 EDT
You can download this package _only_ for testing purposes from my home page http://mmaslano.fedorapeople.org/test_package/ This package isn't signed. Please let me know whether it's helped.
Comment 4 avoker 2008-09-02 20:42:33 EDT
Still doesn't work. Got the same error. 
I also tested with a simple transaction testing script from 
http://www.shinguz.ch/MySQL/commit_demo.txt

and I got a similar error but stopped at a different line of DBI.pm
---------------------------------
[root@hera alu]# ./commit_demo.pl -c
Transactions not supported by database at /usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi/DBI.pm line 633.
---------------------------------
Comment 6 Tom Lane 2008-09-03 12:43:40 EDT
Please confirm which perl-DBI and perl-DBD-MySQL package versions are involved here?
Comment 7 avoker 2008-09-04 00:24:00 EDT
[root@hera alu]# rpm -qa |grep perl-D
perl-DBI-1.40-9
perl-DBD-MySQL-2.9004-4.justtestingpackage
perl-Digest-SHA1-2.07-5
perl-Digest-HMAC-1.01-13
[root@hera alu]#
[root@hera alu]# rpm -qa |grep mysql
mysql-server-4.1.22-2.el4
mysql-4.1.22-2.el4
mysql-devel-4.1.22-2.el4
libdbi-dbd-mysql-0.6.5-10.RHEL4.1
php-mysql-4.3.9-3.22.12
mysqlclient10-3.23.58-4.RHEL4.1
[root@hera alu]#
Comment 8 Tom Lane 2008-09-04 14:59:39 EDT
Huh ... I cannot reproduce this.  The commit_demo script works just fine on a RHEL4-U7 test machine,
using the released packages:

mysql-devel-4.1.22-2.el4
mysql-4.1.22-2.el4
mysql-server-4.1.22-2.el4
perl-DBI-1.40-9
perl-DBD-MySQL-2.9004-3.1

Marcela, were you able to reproduce the problem?  Can you think of any other relevant variables?
Comment 9 avoker 2008-09-05 09:06:09 EDT
Yes indeed. I tried on another RHEL4-U7 box and couldn't reproduce the error either.

But as I reported, I do have the problem on two RHEL4-U7 boxes, which are basically have the same installation (they are used as production+DR pair). Please let me know if you want more information about the configuration of the two boxes. Thanks.
Comment 10 Marcela Mašláňová 2008-09-05 09:15:19 EDT
What are the architectures of those boxes and which versions of mentioned packages did you install? Do you have Stacks product on some of them or cpan packages?
Comment 11 Tom Lane 2008-09-05 10:41:50 EDT
Yeah, we have to figure out what is the relevant difference between boxes with the problem and boxes without.  It might be useful to diff the output of "rpm -qa | sort" from the different machines.
Comment 12 avoker 2008-09-09 23:28:36 EDT
Created attachment 316268 [details]
perllocal.pod on hera the machine has the problem
Comment 13 avoker 2008-09-09 23:32:00 EDT
Created attachment 316269 [details]
rpm -qa diff between the sick hera and the healthy prome
Comment 14 avoker 2008-09-09 23:46:14 EDT
The architectures of hera and prome are both i386.
There are a few extra applications installed on hera: rt, moinmoin, nagios etc but I can't see how these applications would affect perl DBI access to mysql.

And as I said if I roll back mysql to 4.1.20-3 then the problem disappears.
Comment 15 Tom Lane 2008-09-09 23:52:30 EDT
It's still pretty un-obvious where the problem lies.  Perl's not my strong suit, but I wonder if any of those perl package diffs could possibly affect this?
Comment 16 Jiri Pallich 2012-06-20 12:19:16 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.